//这是completdigfilter.v文件的程序清单
module completdigfilter(
	rst,clk32,bef_in,aft_in,
	bef_out,aft_out);
	
	input		rst;     //复位信号，高电平有效
	input		clk32;   //FPGA系统时钟:32MHz
	input    bef_in;  //鉴相模块送来的超前脉冲信号 
	input    aft_in;  //鉴相模块送来的滞后脉冲信号 
	output   bef_out; //滤波后输出的超前脉冲信号  
	output   aft_out; //滤波后输出的滞后脉冲信号  
	
	//实例化随机徘徊滤波器模块
	wire bef,aft;
	digfilter u10(
	    .rst   (rst),
		 .clk32 (clk32),
		 .bef_in  (bef_in),
		 .aft_in (aft_in),
		 .bef_out (bef),
		 .aft_out (aft));
		 
	 //对输入脉冲信号进行延时处理
	 reg befd1,befd2,befd3,aftd1,aftd2,aftd3;
	 always @(posedge clk32)
	    begin
		    befd1 <= bef_in;
			 befd2 <= befd1;
			 befd3 <= befd2;
			 aftd1 <= aft_in;
			 aftd2 <= aftd1;
			 aftd3 <= aftd2;
			end
	 
	 //检测aft的状态，产生q_aft信号
	 reg q_aft;
	 always @(posedge clk32 or posedge befd2)
	    if (befd2)
		    q_aft <= 1'b0;
		 else
		    if (aft)
			    q_aft <= 1'b1;
				 
	 //检测bef的状态，产生q_bef信号	 
	 reg q_bef;	 
	 always @(posedge clk32 or posedge aftd2)
	    if (aftd2)
		    q_bef <= 1'b0;
		 else
		    if (bef)
			    q_bef <= 1'b1;
	
	assign bef_out = q_bef & befd3;
	assign aft_out = q_aft & aftd3;

endmodule
	