//这是digfilter.v文件的程序清单
module digfilter(
	rst,clk32,bef_in,aft_in,
	bef_out,aft_out);
	
	input		rst;     //复位信号，高电平有效
	input		clk32;   //FPGA系统时钟:32MHz
	input    bef_in;  //鉴相模块送来的超前脉冲信号 
	input    aft_in;  //鉴相模块送来的滞后脉冲信号 
	output   bef_out; //滤波后输出的超前脉冲信号  
	output   aft_out; //滤波后输出的滞后脉冲信号  

	reg [2:0] count;
	reg befout,aftout;
	always @(posedge clk32 or posedge rst)
	   if (rst)
		   begin
			   count <= 3'd2;
				befout <= 0;
				aftout <= 0;
			end
		else
		   begin
			   //检测超前脉冲，计数器加1
				if (bef_in)
				   count <= count + 1'b1;
				//检测到滞后脉冲，计数器减1
				else if (aft_in)
				   count <= count - 1'b1;
				//计数器计满到4时输出滤波后的超前脉冲
				if (count==3'd4)
				   begin 
					   befout <= 1'b1;
						count  <= 3'd2;
					end 
				//计数器减小到0时输出滤波后的滞后脉冲
				else if (count==3'd0)
				   begin 
					   aftout <= 1'b1;
						count  <= 3'd2;
					end
				else
				   begin
					   befout <= 1'b0;
						aftout <= 1'b0;
					end
			end

   assign bef_out = befout;
   assign aft_out = aftout;

endmodule
	