//这是integrated.v文件的程序清单
module integrated(
	rst,clk32,bitsync,din,
	dout);
	
	input		rst;       //复位信号，高电平有效
	input		clk32;     //FPGA系统时钟:32MHz
	input    bitsync;   //输入的位同步脉冲   
	input  signed [27:0]  din;   //输入的6比特量化数据
   output signed [31:0]  dout;	 //积分结果输出
	
	reg signed [31:0] sum,dtem;
	reg [1:0] c;
	always @(posedge clk32 or posedge rst)
	   if (rst)
		   begin 
			   sum = 0;
				c = 0;
				dtem <= 0;
			end
		else 
		   begin
			   if (bitsync)
				   begin 
					   dtem <= sum;
						sum =  {din[5],din[5],din[5],din[5],din};
						c = 0;
					end
				else
				   begin 
					   c = c + 1'b1;
						//通过计数器c控制，每4个时钟周期，即每个数据采样点进行一次累加运算
						if (c==0) 
						   sum = sum + din;
					end
			end
	assign dout = dtem;
	
endmodule

						