//这是phasedetect.v文件的程序清单
module phasedetect(
	rst,clk32,int_i,int_q,
	pd_bef,pd_aft);
	
	input		rst;    //复位信号，高电平有效
	input		clk32;  //FPGA系统时钟:32MHz
	input signed [31:0]   int_i;  //同相支路的积分结果输入
	input signed [31:0]   int_q;  //正交支路的积分结果输入 	
	output   pd_bef;  //输出的超前脉冲信号
   output   pd_aft;	//输出的滞后脉冲信号	
	
	
	reg pdbef,pdaft;
   reg int_i_d,int_i_edge,iq_xor;
   always @(posedge clk32 or posedge rst)
      if (rst)
	      begin
		      int_i_d <= 0;
			   int_i_edge <= 0;
			   iq_xor <= 0;
		   end
		else
	      begin
		      //完成同相支路的跳变沿检测
			   int_i_d <= int_i[31];
			   //完成鉴相输出
			   pdbef <= iq_xor && int_i_edge;
			   pdaft <= (~iq_xor) && int_i_edge;
			   //完成同相正交支路的异或输出
				/*
			   if ((int_q <=32) & (int_q>=-32))	
				   int_i_edge <= 0;
				else
				*/
				int_i_edge <= int_i[31] ^ int_i_d; //xor
				iq_xor <= int_i[31] ^ int_q[31];    //xor
			 end
			 
   assign pd_bef =pdbef;
   assign pd_aft =pdaft;

endmodule
	