module DDS(
	//system signal
		sclk			,
		s_rst_n		,
	//input output
		en			,
		address		,
		q
		
);

	input 				sclk				;
	input 				s_rst_n			; 
	input					en				;
	input		[ 9:0]	address			;
	output	[ 7:0]  	q					;
	
	reg 		[ 9:0]	address_reg		;
	
	
	always @(posedge sclk or negedge s_rst_n)begin
		if(!s_rst_n)
			address_reg <= 0;
		else begin
			if(en)									//当使能信号到来时，给地址赋初值
				address_reg <= address;
			else
				address_reg <= address_reg + 1'b1;	//地址赋完初值后，自加1，寻址输出波形
		end
	end

	
sin_rom inst_sin_rom(
	.address		(address_reg),						//调用ROM IP core
	.clock		(sclk)	,
	.q				(q)
	);
endmodule
