module QPSK_code(
	//system signal
		sclk		,
		s_rst_n	,
		x_in		,
		y_out		,
		address	,
		en
);
	
	input 				sclk				;
	input 				s_rst_n			;
	input					x_in				;
	output	[ 1:0]	y_out				;
	output				en				;
	output	[ 9:0]	address			;
	
	
	reg		[ 1:0]	x_in_reg1		;
	reg		[ 1:0]	x_in_reg2		;
	reg 		[ 9:0]	cnt				;
	reg					flag				;
	reg					flag1				;
	reg					flag2				;
	reg		[ 9:0]	address			;
	
	
	//状态转变
	always@(posedge sclk or negedge s_rst_n)begin
		if(!s_rst_n)begin
			cnt <= 0;
			flag <= 0;
		end
		else if(cnt == 10'd1023)begin
			cnt <= 0;
			flag <= ~flag;
		end
		else
			cnt <= cnt + 1'b1;
	end	
	
	
	//检测flag边沿
	assign en = flag1 ^ flag2;		//两个边沿都触发
	
	always @(posedge sclk or negedge s_rst_n)begin
		if(!s_rst_n)begin
			flag1 <= 1'b0;
		   flag2 <= 1'b0;
		end
		else begin
			flag1 <= flag;
		   flag2 <= flag1;
		end
	end
	//串并转换
	always@(posedge sclk or negedge s_rst_n)begin
		if(!s_rst_n)begin
			x_in_reg1 <= 0;
			x_in_reg2 <= 0;
		end
		else begin
		if(cnt == 0)begin
			x_in_reg1[1] <= x_in;
			x_in_reg2 <= x_in_reg1;
		end
		else if(cnt == 512)
			x_in_reg1[0] <= x_in;
		end
	end

	
	assign y_out = x_in_reg2;
	always@(*)begin
		address = 0;
		case(x_in_reg2)
			2'b00: address = 10'd0;
			2'b01: address = 10'd255;
			2'b10: address = 10'd511;
			2'b11: address = 10'd766;
			default:;
		endcase
	end

endmodule
