module QPSK_decode(
	//system
		sclk			,
		s_rst_n		,
	//input  output
		code_in		,
		decode_out	

);

	input 				sclk			;
	input					s_rst_n		;
	input		[ 7:0]	code_in		;
	output				decode_out	;

	reg		[ 7:0]	code_in_reg	;
	reg					decode_out_reg;
	
	always @(posedge sclk or negedge s_rst_n)begin
		if(!s_rst_n)begin
			code_in_reg <= 0;
			decode_out_reg <= 0;
		end
		else begin
			code_in_reg <= code_in;
			if(code_in_reg <= 8'd127)
				decode_out_reg <= 1'b0;
			else
				decode_out_reg <= 1'b1;
		end
	end
	
	assign decode_out = decode_out_reg;
endmodule
