module QPSK_top(
		sclk			,
		s_rst_n		,
		x_in			,
		x_x_out		,
		y_out			,
		decode_out

);
	input 					sclk		;
	input						s_rst_n	;
	input						x_in		;
	output 		[ 1:0]	x_x_out	;
	output		[ 7:0]	y_out		;
	output					decode_out;
	
	wire 			[ 9:0]	address	;
	wire			[ 1:0]	x_x_out	;
	wire 						en			;
	wire			[ 7:0]	y_out		;
	
	QPSK_code inst_QPSK_code(
	//system signal
		.sclk		(sclk)		,
		.s_rst_n	(s_rst_n)	,
		.x_in		(x_in)		,
		.y_out	(x_x_out)	,
		.address	(address)	,
		.en		(en)
);


	DDS inst_DDS(
	//system signal
		.sclk			(sclk)		,
		.s_rst_n		(s_rst_n)	,
	//input output
		.en			(en)	,
		.address		(address),
		.q				(y_out)
		
);

	QPSK_decode inst_QPSK_decode(
	//system
		.sclk				(sclk)	,
		.s_rst_n			(s_rst_n)	,
	//input  output
		.code_in			(y_out)	,
		.decode_out		(decode_out)

);
endmodule
