//这是LoopFilter.v文件的程序清单
module LoopFilter (
	rst,clk,pd,
	frequency_df); 
	
	input		rst;   //复位信号，高电平有效
	input		clk;   //FPGA系统时钟：32MHz
	input	 signed [27:0]	pd;            //输入数据：32MHz
	output signed [27:0]	frequency_df;  //环路滤波器输出数据
	
	
   reg [2:0] count;
	reg signed [27:0] sum,loopout;
	always @(posedge clk or posedge rst)
		if (rst)
		   begin
				count <=0;
				sum <= 0;
				loopout <= 0;
			end
		else
			begin
				//频率字更新周期为8个CLK周期
				count <= count + 1;
			   //环路滤波器中的累加器寄存器
				if (count==3'b101)
				   //c2=2^(-10)
			      sum<=sum+{{10{pd[27]}},pd[27:10]};
 			   if (count==3'b110)
				   //c1=2^(-4)-2^(-7)
				   loopout<=sum+{{4{pd[27]}},pd[27:4]}-{{7{pd[27]}},pd[27:7]};
			  end
			  
     assign frequency_df = loopout;

endmodule
