`timescale 1 ns/ 1 ns
module tb_sync_top();
// constants                                           
// general purpose registers
//reg eachvec;
// test vector input registers
reg clk;
reg [7:0] datain;
reg rst;
// wires                                               
//wire [7:0]  cosine;
wire [27:0]  df;
//wire [27:0]  di;
//wire   di;
//wire [27:0]  dq;
wire [7:0]  sin;
wire 			bit_sync;      //位同步脉冲输出
wire			dataout;

// assign statements (if any)                          
//CostasLoop i1 (
//// port map - connection between master ports and signals/registers   
//	.clk(clk),
//	.cosine(cosine),
//	.df(df),
//	.di(di),
//	.din(din),
//	.dq(dq),
//	.rst(rst),
//	.sine(sine)
//);

sync_top inst_sync_top(
		.rst			(rst),
		.clk			(clk),
		.datain		(datain),	//输入数据
		.dataout		(dataout),	//输出数据
		.sin			(sin),	//同步后输出载波分量
		.df			(df),	//环路滤波器输出数据
		.bit_sync	(bit_sync)		//位同步信号

);

parameter clk_period=20; //设置时钟信号周期（频率）
parameter period_data=clk_period*1;//数据周期
parameter clk_half_period=clk_period/2;
parameter data_half_period=period_data/2;
parameter data_num=10000;  //仿真数据长度
parameter time_sim=data_num*period_data; //仿真时间

initial
begin
	//设置时钟信号初值
	clk=1;
	//clk_data=1;
	//设置复位信号
	rst=1;
	#400 rst=0;
	//设置仿真时间
	#200000 $stop;
	//#400 $finish;
end



//产生时钟信号
always                                                 
	#clk_half_period clk=~clk;


//从外部TX文件读入数据作为测试激励
integer Pattern;
reg [7:0] stimulus[1:data_num];
initial
begin
   //文件必须放置在"工程目录\simulation\modelsim"路径下
	$readmemb("E5_snr100.txt",stimulus);
	Pattern=0;
	repeat(data_num)
		begin
			Pattern=Pattern+1;
			datain=stimulus[Pattern];
			#period_data;
		end
end





////产生写入时钟信号，复位状态时不写入数据
//wire rst_write;
//assign rst_write = clk & (!rst);    
//	
////将仿真数据df写入外部TXT文件中(df.txt)
//integer file_df;
//initial
//begin
//   //文件放置在"工程目录\simulation\modelsim"路径下                                                  
//	file_df = $fopen("df.txt");
//	if(!file_df)
//		begin
//			$display("could not open file!");
//			$finish;
//		end
//end
////将df转换成有符号数据
//wire signed [27:0] s_df;
//assign s_df = df;
//always @(posedge rst_write)
//	$fdisplay(file_df,"%d",s_df);
//
////将仿真数据sine写入外部TXT文件中(oc.txt)
//integer file_oc;
//initial
//begin
//   //文件放置在"工程目录\simulation\modelsim"路径下                                                  
//	file_oc = $fopen("oc.txt");
//	if(!file_oc)
//		begin
//			$display("could not open file!");
//			$finish;
//		end
//end
////将df转换成有符号数据
//wire signed [7:0] s_oc;
//assign s_oc = sine;
//always @(posedge rst_write)
//	$fdisplay(file_oc,"%d",s_oc);
//	
endmodule


